package com.quantgroup.asset.distribution.service.niwodai.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class NiwodaiDataImportCheckResponseVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 是否通过，是：true，否：false  必须
     */
    private Boolean pass;

    /**
     * 准入未通过原因 非必须
     */
    private String reason;


    public static NiwodaiDataImportCheckResponseVO createPassFalse() {
        NiwodaiDataImportCheckResponseVO vo = new NiwodaiDataImportCheckResponseVO();
        vo.setPass(false);
        return vo;
    }
}
